Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
exceptn.h File Reference
`#include <botan/types.h>`
`#include <botan/parsing.h>`
`#include <exception>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | Botan::Algorithm_Not_Found
struct | Botan::Decoding_Error
struct | Botan::Encoding_Error
class | Botan::Exception
struct | Botan::Integrity_Failure
struct | Botan::Internal_Error
struct | Botan::Invalid_Algorithm_Name
class | Botan::Invalid_Argument
struct | Botan::Invalid_IV_Length
struct | Botan::Invalid_Key_Length
struct | Botan::Invalid_OID
struct | Botan::Invalid_State
struct | Botan::Lookup_Error
struct | Botan::No_Filesystem_Access
struct | Botan::No_Provider_Found
struct | Botan::Not_Implemented
struct | Botan::Policy_Violation
struct | Botan::PRNG_Unseeded
struct | Botan::Provider_Not_Found
struct | Botan::Self_Test_Failure
struct | Botan::Stream_IO_Error
struct | Botan::Unsupported_Argument

## Namespaces
| Botan

## Macros
#define | BOTAN_ARG_CHECK(expr) do { if(!(expr)) throw Invalid_Argument(#expr, BOTAN_CURRENT_FUNCTION); } while(0)

## Macro Definition Documentation

#define BOTAN_ARG_CHECK | ( |  | expr | ) | do { if(!(expr)) throw Invalid_Argument(#expr, BOTAN_CURRENT_FUNCTION); } while(0)

Definition at line 44 of file exceptn.h.

Referenced by Botan::SHA_3::expand(), Botan::GCM_Encryption::finish(), Botan::GCM_Decryption::finish(), Botan::GCM_Encryption::process(), and Botan::GCM_Decryption::process().